<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="posUser">
      <h2 data-cy="posUserDetailsHeading"><span jhiTranslate="jokegeneratorApp.posUser.detail.title">Pos User</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ posUser.id }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.posUser.firstName">First Name</span></dt>
        <dd>
          <span>{{ posUser.firstName }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.posUser.lastName">Last Name</span></dt>
        <dd>
          <span>{{ posUser.lastName }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.posUser.birthDay">Birth Day</span></dt>
        <dd>
          <span>{{ posUser.birthDay | formatMediumDatetime }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.posUser.email">Email</span></dt>
        <dd>
          <span>{{ posUser.email }}</span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/pos-user', posUser.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
